Перейти к содержимому

GET /v2/sandboxes/{sandboxID}/logs

Sandbox logs (v2)

Get sandbox logs

Параметры

  • sandboxID · string · путь · обязательно

  • pageCursor · string · запрос · необязательно

    Opaque continuation cursor returned as nextCursor by the previous page

    Максимальная длина: 512

  • cursor · integer · запрос · необязательно

    Starting timestamp of the logs that should be returned in milliseconds

    Формат: int64

    Минимум: 0

  • limit · integer · запрос · необязательно

    Maximum number of logs that should be returned

    Формат: int32

    По умолчанию: 1000

    Минимум: 0

    Максимум: 1000

  • direction · LogsDirection · запрос · необязательно

    Direction of the logs that should be returned

    Допустимые значения для LogsDirection: forward | backward

  • level · LogLevel · запрос · необязательно

    Minimum log level to return. Logs below this level are excluded

    Допустимые значения для LogLevel: debug | info | warn | error

  • search · string · запрос · необязательно

    Case-sensitive substring match on log message content

    Максимальная длина: 256

Ответы

200

Successfully returned the sandbox logs

Content-Type: application/json

Схема: SandboxLogsV2Response

  • logs · array<SandboxLogEntry> · обязательно

    Sandbox logs structured

    По умолчанию: []

  • logs.id · string · необязательно

    Stable identifier used to reconcile overlapping live log pages

  • logs.timestamp · string · обязательно

    Timestamp of the log entry

    Формат: date-time

  • logs.message · string · обязательно

    Log message content

  • logs.level · LogLevel · обязательно

    State of the sandbox

    Допустимые значения для LogLevel: debug | info | warn | error

  • logs.fields · object · обязательно

  • logs.fields.* · string · additional property

  • nextCursor · string · необязательно

    Opaque continuation cursor for the next page

401

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

404

Not found

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error